"use client";

import React from "react";
import { Banner } from "@/components/modules/Banner";
import { Main } from "@/components/modules/Main";
import useStore from "@/stores/store";

async function getData() {
  const res = await fetch("${process.env.NEXT_PUBLIC_BASE_URL}/property");
  // The return value is *not* serialized
  // You can return Date, Map, Set, etc.

  if (!res.ok) {
    // This will activate the closest `error.js` Error Boundary
    throw new Error("Failed to fetch data");
  }

  return res.json();
}

export default async function page() {
  const data = await getData();
  useStore.getState().setProperties(data);
  return (
    <>
      <Banner
        title="Property For Lease"
        catagory="Residential"
        subcatagory="Apartment"
      />
      <Main />
    </>
  );
}
